Skip to main content

Delete restored OpenSearch snapshot index

DELETE 

/sites/:siteId/opensearch/snapshots/:snapshotName/restore

Deletes the restored OpenSearch index created from the specified snapshot.

This deletes only the restored index named with the snapshot name and "_restored" suffix. It does not delete the original site index or the snapshot. This operation is not supported for OpenSearch Serverless.

Request​

Responses​

200 OK

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers